> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener

> Obtiene a un cliente por su ID.



## OpenAPI

````yaml /api/openapi.json get /customers/{customerId}
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /customers/{customerId}:
    parameters:
      - schema:
          type: integer
        name: customerId
        in: path
        required: true
        description: ID del cliente.
    get:
      tags:
        - Clientes
      summary: Obtener
      description: Obtiene a un cliente por su ID.
      operationId: get-customers-customerId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - id
                      - erpCode
                      - firstName
                      - lastName
                      - email
                      - phone
                      - priceListId
                      - createdAt
                      - documents
                    properties:
                      id:
                        type: number
                      erpCode:
                        type: string
                      loginCode:
                        type: string
                        minLength: 1
                      firstName:
                        type: string
                        minLength: 1
                      lastName:
                        type: string
                        minLength: 1
                      email:
                        type: string
                        minLength: 1
                      phone:
                        type: string
                        minLength: 1
                      birthdate:
                        type: string
                        examples:
                          - '2021-12-31'
                      priceListId:
                        type: number
                      createdAt:
                        type: string
                        minLength: 1
                        format: date-time
                      documents:
                        type: array
                        uniqueItems: true
                        minItems: 1
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              minLength: 1
                            number:
                              type: string
                              minLength: 1
                            fiscalAddress:
                              type: string
                              minLength: 1
                            fiscalName:
                              type: string
                              minLength: 1
                            email:
                              type: string
                            isDefault:
                              type: boolean
                            forTaxes:
                              type: boolean
                          required:
                            - type
                            - number
                            - fiscalAddress
                            - fiscalName
                            - email
                            - isDefault
                            - forTaxes
                required:
                  - data
        '404':
          description: Not Found
components:
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````